foo master
authorfoo <foo>
Fri, 26 May 2017 13:08:23 +0000 (13:08 +0000)
committerfoo <foo>
Fri, 26 May 2017 13:08:23 +0000 (13:08 +0000)
45 files changed:
SmartScale.dex [new file with mode: 0755]
android-data/dalvik-cache/x86/srv@smartscale@SmartScale.dex [new file with mode: 0644]
art/Hello.class [new file with mode: 0644]
art/Hello.dex [new file with mode: 0644]
art/Hello.java [new file with mode: 0644]
art/Hello.oat [new file with mode: 0644]
art/bin/art [new file with mode: 0755]
art/bin/dalvikvm [new symlink]
art/bin/dalvikvm32 [new file with mode: 0755]
art/bin/dex2oat [new file with mode: 0755]
art/bin/dx [new file with mode: 0755]
art/bin/patchoat [new file with mode: 0755]
art/framework/dx.jar [new file with mode: 0644]
art/framework/x86/boot.art [new file with mode: 0644]
art/framework/x86/boot.oat [new file with mode: 0644]
art/lib/interrupter.so [new file with mode: 0755]
art/lib/libart-compiler.so [new file with mode: 0755]
art/lib/libart.so [new file with mode: 0755]
art/lib/libartd-compiler.so [new file with mode: 0755]
art/lib/libartd.so [new file with mode: 0755]
art/lib/libbacktrace.so [new file with mode: 0755]
art/lib/libbacktrace_test.so [new file with mode: 0755]
art/lib/libbase.so [new file with mode: 0755]
art/lib/libc++.so [new file with mode: 0755]
art/lib/libcrypto-host.so [new file with mode: 0755]
art/lib/libcutils.so [new file with mode: 0755]
art/lib/libexpat-host.so [new file with mode: 0755]
art/lib/libicui18n-host.so [new file with mode: 0755]
art/lib/libicuuc-host.so [new file with mode: 0755]
art/lib/libjavacore.so [new file with mode: 0755]
art/lib/libjavacrypto.so [new file with mode: 0755]
art/lib/liblog.so [new file with mode: 0755]
art/lib/libnativebridge.so [new file with mode: 0755]
art/lib/libnativehelper.so [new file with mode: 0755]
art/lib/libselinux.so [new file with mode: 0755]
art/lib/libsigchain.so [new file with mode: 0755]
art/lib/libsqlite.so [new file with mode: 0755]
art/lib/libsqlite_jni.so [new file with mode: 0755]
art/lib/libssl-host.so [new file with mode: 0755]
art/lib/libunwind.so [new file with mode: 0755]
art/lib/libvixl.so [new file with mode: 0755]
art/lib/libvixld.so [new file with mode: 0755]
art/lib/libz-host.so [new file with mode: 0755]
art/lib/libziparchive-host.so [new file with mode: 0755]
art/usr/icu/icudt55l.dat [new file with mode: 0644]

diff --git a/SmartScale.dex b/SmartScale.dex
new file mode 100755 (executable)
index 0000000..2248618
Binary files /dev/null and b/SmartScale.dex differ
diff --git a/android-data/dalvik-cache/x86/srv@smartscale@SmartScale.dex b/android-data/dalvik-cache/x86/srv@smartscale@SmartScale.dex
new file mode 100644 (file)
index 0000000..4b48d71
Binary files /dev/null and b/android-data/dalvik-cache/x86/srv@smartscale@SmartScale.dex differ
diff --git a/art/Hello.class b/art/Hello.class
new file mode 100644 (file)
index 0000000..04e8fec
Binary files /dev/null and b/art/Hello.class differ
diff --git a/art/Hello.dex b/art/Hello.dex
new file mode 100644 (file)
index 0000000..7d0c4dc
Binary files /dev/null and b/art/Hello.dex differ
diff --git a/art/Hello.java b/art/Hello.java
new file mode 100644 (file)
index 0000000..1b9eb8a
--- /dev/null
@@ -0,0 +1,7 @@
+
+class Hello {
+
+       public static void main(String[] args){
+               System.out.println("Hello!");
+       }
+}
diff --git a/art/Hello.oat b/art/Hello.oat
new file mode 100644 (file)
index 0000000..1199706
Binary files /dev/null and b/art/Hello.oat differ
diff --git a/art/bin/art b/art/bin/art
new file mode 100755 (executable)
index 0000000..59389e3
--- /dev/null
@@ -0,0 +1,116 @@
+#!/usr/bin/env bash
+# Copyright (C) 2011 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# This script is used on host and device. It uses a common subset
+# shell dialect that should work on the host (e.g. bash), and
+# Android (e.g. mksh).
+
+function follow_links() {
+  if [ z"$BASH_SOURCE" != z ]; then
+    file="$BASH_SOURCE"
+  else
+    file="$0"
+  fi
+  while [ -h "$file" ]; do
+    # On Mac OS, readlink -f doesn't work.
+    file="$(readlink "$file")"
+  done
+  echo "$file"
+}
+
+function find_libdir() {
+  # Use realpath instead of readlink because Android does not have a readlink.
+  if [ "$(realpath "$ANDROID_ROOT/bin/$DALVIKVM")" = "$(realpath "$ANDROID_ROOT/bin/dalvikvm64")" ]; then
+    echo "lib64"
+  else
+    echo "lib"
+  fi
+}
+
+invoke_with=
+DALVIKVM=dalvikvm
+LIBART=libart.so
+
+while true; do
+  if [ "$1" = "--invoke-with" ]; then
+    shift
+    invoke_with="$invoke_with $1"
+    shift
+  elif [ "$1" = "-d" ]; then
+    LIBART="libartd.so"
+    shift
+  elif [ "$1" = "--32" ]; then
+    DALVIKVM=dalvikvm32
+    shift
+  elif [ "$1" = "--64" ]; then
+    DALVIKVM=dalvikvm64
+    shift
+  elif [ "$1" = "--perf" ]; then
+    PERF="record"
+    shift
+  elif [ "$1" = "--perf-report" ]; then
+    PERF="report"
+    shift
+  elif expr "$1" : "--" >/dev/null 2>&1; then
+    echo "unknown option: $1" 1>&2
+    exit 1
+  else
+    break
+  fi
+done
+
+PROG_NAME="$(follow_links)"
+PROG_DIR="$(cd "${PROG_NAME%/*}" ; pwd -P)"
+ANDROID_ROOT=$PROG_DIR/..
+LIBDIR=$(find_libdir)
+LD_LIBRARY_PATH=$ANDROID_ROOT/$LIBDIR
+
+DELETE_ANDROID_DATA=false
+# If ANDROID_DATA is the system ANDROID_DATA or is not set, use our own,
+# and ensure we delete it at the end.
+if [ "$ANDROID_DATA" = "/data" ] || [ "$ANDROID_DATA" = "" ]; then
+  ANDROID_DATA=$PWD/android-data
+  mkdir -p $ANDROID_DATA/dalvik-cache/{arm,arm64,x86,x86_64}
+  DELETE_ANDROID_DATA=false
+fi
+
+if [ z"$PERF" != z ]; then
+  invoke_with=""
+fi
+
+ANDROID_DATA=$ANDROID_DATA \
+  ANDROID_ROOT=$ANDROID_ROOT \
+  LD_LIBRARY_PATH=$LD_LIBRARY_PATH \
+  PATH=$ANDROID_ROOT/bin:$PATH \
+  $invoke_with $ANDROID_ROOT/bin/$DALVIKVM $lib \
+    -XXlib:$LIBART \
+    -Xnorelocate \
+    -Ximage:$ANDROID_ROOT/framework/boot.art \
+    "$@" 2>/dev/null
+
+EXIT_STATUS=$?
+
+if [ z"$PERF" != z ]; then
+  if [ z"$PERF" = zreport ]; then
+    perf report -i $ANDROID_DATA/perf.data
+  fi
+  echo "Perf data saved in: $ANDROID_DATA/perf.data"
+else
+  if [ "$DELETE_ANDROID_DATA" = "true" ]; then
+    rm -rf $ANDROID_DATA
+  fi
+fi
+
+exit $EXIT_STATUS
diff --git a/art/bin/dalvikvm b/art/bin/dalvikvm
new file mode 120000 (symlink)
index 0000000..fae7fb9
--- /dev/null
@@ -0,0 +1 @@
+dalvikvm32
\ No newline at end of file
diff --git a/art/bin/dalvikvm32 b/art/bin/dalvikvm32
new file mode 100755 (executable)
index 0000000..48781b6
Binary files /dev/null and b/art/bin/dalvikvm32 differ
diff --git a/art/bin/dex2oat b/art/bin/dex2oat
new file mode 100755 (executable)
index 0000000..f80836c
Binary files /dev/null and b/art/bin/dex2oat differ
diff --git a/art/bin/dx b/art/bin/dx
new file mode 100755 (executable)
index 0000000..632af43
--- /dev/null
@@ -0,0 +1,89 @@
+#!/bin/bash
+#
+# Copyright (C) 2007 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Set up prog to be the path of this script, including following symlinks,
+# and set up progdir to be the fully-qualified pathname of its directory.
+prog="$0"
+while [ -h "${prog}" ]; do
+    newProg=`/bin/ls -ld "${prog}"`
+    newProg=`expr "${newProg}" : ".* -> \(.*\)$"`
+    if expr "x${newProg}" : 'x/' >/dev/null; then
+        prog="${newProg}"
+    else
+        progdir=`dirname "${prog}"`
+        prog="${progdir}/${newProg}"
+    fi
+done
+oldwd=`pwd`
+progdir=`dirname "${prog}"`
+cd "${progdir}"
+progdir=`pwd`
+prog="${progdir}"/`basename "${prog}"`
+cd "${oldwd}"
+
+jarfile=dx.jar
+libdir="$progdir"
+
+if [ ! -r "$libdir/$jarfile" ]; then
+    # set dx.jar location for the SDK case
+    libdir="$libdir/lib"
+fi
+
+
+if [ ! -r "$libdir/$jarfile" ]; then
+    # set dx.jar location for the Android tree case
+    libdir=`dirname "$progdir"`/framework
+fi
+
+if [ ! -r "$libdir/$jarfile" ]; then
+    echo `basename "$prog"`": can't find $jarfile"
+    exit 1
+fi
+
+# By default, give dx a max heap size of 1 gig. This can be overridden
+# by using a "-J" option (see below).
+defaultMx="-Xmx1024M"
+
+# The following will extract any initial parameters of the form
+# "-J<stuff>" from the command line and pass them to the Java
+# invocation (instead of to dx). This makes it possible for you to add
+# a command-line parameter such as "-JXmx256M" in your scripts, for
+# example. "java" (with no args) and "java -X" give a summary of
+# available options.
+
+javaOpts=""
+
+while expr "x$1" : 'x-J' >/dev/null; do
+    opt=`expr "x$1" : 'x-J\(.*\)'`
+    javaOpts="${javaOpts} -${opt}"
+    if expr "x${opt}" : "xXmx[0-9]" >/dev/null; then
+        defaultMx="no"
+    fi
+    shift
+done
+
+if [ "${defaultMx}" != "no" ]; then
+    javaOpts="${javaOpts} ${defaultMx}"
+fi
+
+if [ "$OSTYPE" = "cygwin" ]; then
+    # For Cygwin, convert the jarfile path into native Windows style.
+    jarpath=`cygpath -w "$libdir/$jarfile"`
+else
+    jarpath="$libdir/$jarfile"
+fi
+
+exec java $javaOpts -jar "$jarpath" "$@"
diff --git a/art/bin/patchoat b/art/bin/patchoat
new file mode 100755 (executable)
index 0000000..b9c67f3
Binary files /dev/null and b/art/bin/patchoat differ
diff --git a/art/framework/dx.jar b/art/framework/dx.jar
new file mode 100644 (file)
index 0000000..e55fdc8
Binary files /dev/null and b/art/framework/dx.jar differ
diff --git a/art/framework/x86/boot.art b/art/framework/x86/boot.art
new file mode 100644 (file)
index 0000000..e4e276c
Binary files /dev/null and b/art/framework/x86/boot.art differ
diff --git a/art/framework/x86/boot.oat b/art/framework/x86/boot.oat
new file mode 100644 (file)
index 0000000..cb3e8e7
Binary files /dev/null and b/art/framework/x86/boot.oat differ
diff --git a/art/lib/interrupter.so b/art/lib/interrupter.so
new file mode 100755 (executable)
index 0000000..d729981
Binary files /dev/null and b/art/lib/interrupter.so differ
diff --git a/art/lib/libart-compiler.so b/art/lib/libart-compiler.so
new file mode 100755 (executable)
index 0000000..8c6d165
Binary files /dev/null and b/art/lib/libart-compiler.so differ
diff --git a/art/lib/libart.so b/art/lib/libart.so
new file mode 100755 (executable)
index 0000000..199f709
Binary files /dev/null and b/art/lib/libart.so differ
diff --git a/art/lib/libartd-compiler.so b/art/lib/libartd-compiler.so
new file mode 100755 (executable)
index 0000000..9b39474
Binary files /dev/null and b/art/lib/libartd-compiler.so differ
diff --git a/art/lib/libartd.so b/art/lib/libartd.so
new file mode 100755 (executable)
index 0000000..d3e5514
Binary files /dev/null and b/art/lib/libartd.so differ
diff --git a/art/lib/libbacktrace.so b/art/lib/libbacktrace.so
new file mode 100755 (executable)
index 0000000..558cdc3
Binary files /dev/null and b/art/lib/libbacktrace.so differ
diff --git a/art/lib/libbacktrace_test.so b/art/lib/libbacktrace_test.so
new file mode 100755 (executable)
index 0000000..99f0136
Binary files /dev/null and b/art/lib/libbacktrace_test.so differ
diff --git a/art/lib/libbase.so b/art/lib/libbase.so
new file mode 100755 (executable)
index 0000000..bf9f2b7
Binary files /dev/null and b/art/lib/libbase.so differ
diff --git a/art/lib/libc++.so b/art/lib/libc++.so
new file mode 100755 (executable)
index 0000000..31b9507
Binary files /dev/null and b/art/lib/libc++.so differ
diff --git a/art/lib/libcrypto-host.so b/art/lib/libcrypto-host.so
new file mode 100755 (executable)
index 0000000..4d5e7f9
Binary files /dev/null and b/art/lib/libcrypto-host.so differ
diff --git a/art/lib/libcutils.so b/art/lib/libcutils.so
new file mode 100755 (executable)
index 0000000..dcbde22
Binary files /dev/null and b/art/lib/libcutils.so differ
diff --git a/art/lib/libexpat-host.so b/art/lib/libexpat-host.so
new file mode 100755 (executable)
index 0000000..8d634ea
Binary files /dev/null and b/art/lib/libexpat-host.so differ
diff --git a/art/lib/libicui18n-host.so b/art/lib/libicui18n-host.so
new file mode 100755 (executable)
index 0000000..acb8239
Binary files /dev/null and b/art/lib/libicui18n-host.so differ
diff --git a/art/lib/libicuuc-host.so b/art/lib/libicuuc-host.so
new file mode 100755 (executable)
index 0000000..c35edf4
Binary files /dev/null and b/art/lib/libicuuc-host.so differ
diff --git a/art/lib/libjavacore.so b/art/lib/libjavacore.so
new file mode 100755 (executable)
index 0000000..49742dd
Binary files /dev/null and b/art/lib/libjavacore.so differ
diff --git a/art/lib/libjavacrypto.so b/art/lib/libjavacrypto.so
new file mode 100755 (executable)
index 0000000..08197a8
Binary files /dev/null and b/art/lib/libjavacrypto.so differ
diff --git a/art/lib/liblog.so b/art/lib/liblog.so
new file mode 100755 (executable)
index 0000000..b508b08
Binary files /dev/null and b/art/lib/liblog.so differ
diff --git a/art/lib/libnativebridge.so b/art/lib/libnativebridge.so
new file mode 100755 (executable)
index 0000000..5f53231
Binary files /dev/null and b/art/lib/libnativebridge.so differ
diff --git a/art/lib/libnativehelper.so b/art/lib/libnativehelper.so
new file mode 100755 (executable)
index 0000000..e7e13e7
Binary files /dev/null and b/art/lib/libnativehelper.so differ
diff --git a/art/lib/libselinux.so b/art/lib/libselinux.so
new file mode 100755 (executable)
index 0000000..76bbfba
Binary files /dev/null and b/art/lib/libselinux.so differ
diff --git a/art/lib/libsigchain.so b/art/lib/libsigchain.so
new file mode 100755 (executable)
index 0000000..722685e
Binary files /dev/null and b/art/lib/libsigchain.so differ
diff --git a/art/lib/libsqlite.so b/art/lib/libsqlite.so
new file mode 100755 (executable)
index 0000000..62060bb
Binary files /dev/null and b/art/lib/libsqlite.so differ
diff --git a/art/lib/libsqlite_jni.so b/art/lib/libsqlite_jni.so
new file mode 100755 (executable)
index 0000000..fcafaf8
Binary files /dev/null and b/art/lib/libsqlite_jni.so differ
diff --git a/art/lib/libssl-host.so b/art/lib/libssl-host.so
new file mode 100755 (executable)
index 0000000..bbfe7b8
Binary files /dev/null and b/art/lib/libssl-host.so differ
diff --git a/art/lib/libunwind.so b/art/lib/libunwind.so
new file mode 100755 (executable)
index 0000000..7762d98
Binary files /dev/null and b/art/lib/libunwind.so differ
diff --git a/art/lib/libvixl.so b/art/lib/libvixl.so
new file mode 100755 (executable)
index 0000000..846d85a
Binary files /dev/null and b/art/lib/libvixl.so differ
diff --git a/art/lib/libvixld.so b/art/lib/libvixld.so
new file mode 100755 (executable)
index 0000000..b80915e
Binary files /dev/null and b/art/lib/libvixld.so differ
diff --git a/art/lib/libz-host.so b/art/lib/libz-host.so
new file mode 100755 (executable)
index 0000000..ae93d4c
Binary files /dev/null and b/art/lib/libz-host.so differ
diff --git a/art/lib/libziparchive-host.so b/art/lib/libziparchive-host.so
new file mode 100755 (executable)
index 0000000..833c7e9
Binary files /dev/null and b/art/lib/libziparchive-host.so differ
diff --git a/art/usr/icu/icudt55l.dat b/art/usr/icu/icudt55l.dat
new file mode 100644 (file)
index 0000000..da16c6f
Binary files /dev/null and b/art/usr/icu/icudt55l.dat differ